Bug 1915467 - [release-4.6] AWS EBS CSI Driver can not get updated cloud credential secret automatically
Summary: [release-4.6] AWS EBS CSI Driver can not get updated cloud credential secret ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.z
Assignee: Fabio Bertinatto
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On: 1898045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-12 17:12 UTC by Fabio Bertinatto
Modified: 2021-02-22 13:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1898045
Environment:
Last Closed: 2021-02-22 13:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift aws-ebs-csi-driver-operator pull 110 0 None closed [release-4.6] Bug 1915467: redeploy CSI Controller Deployment when secret change 2021-02-15 12:45:23 UTC
Github openshift library-go pull 986 0 None closed Bug 1915467: cherry-pick hooks helpers and config observer 2021-02-15 12:45:23 UTC
Red Hat Product Errata RHBA-2021:0510 0 None None None 2021-02-22 13:54:47 UTC

Comment 1 Fabio Bertinatto 2021-01-15 21:00:19 UTC
PR submitted, but we need to wait for the parent BZ to be VERIFIED: https://github.com/openshift/aws-ebs-csi-driver-operator/pull/110

Comment 5 Qin Ping 2021-02-05 03:24:05 UTC
Launch a cluster with PR: https://github.com/openshift/aws-ebs-csi-driver-operator/pull/110.

Remove the secret openshift-cluster-csi-drivers/ebs-cloud-credentials, then did some e2e test for the csi driver, all test cases are passed.

The PR LGTM.

Comment 8 Qin Ping 2021-02-18 03:18:27 UTC
Verified with: 4.6.0-0.nightly-2021-02-13-034601

Comment 10 errata-xmlrpc 2021-02-22 13:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0510


Note You need to log in before you can comment on or make changes to this bug.